# osgSim::AzimRange Class Reference

Inheritance diagram for osgSim::AzimRange:

[legend]
List of all members.

## Public Member Functions

| AzimRange ()
void | setAzimuthRange (float minAzimuth, float maxAzimuth, float fadeAngle=0.0f)
void | getAzimuthRange (float &minAzimuth, float &maxAzimuth, float &fadeAngle) const
float | azimSector (const osg::Vec3 &eyeLocal) const

## Protected Attributes

float | _cosAzim
float | _sinAzim
float | _cosAngle
float | _cosFadeAngle

## Constructor & Destructor Documentation

osgSim::AzimRange::AzimRange | ( |  | ) | `[inline]`

## Member Function Documentation

float osgSim::AzimRange::azimSector | ( | const osg::Vec3 & | eyeLocal | ) | const`[inline]`

void AzimRange::getAzimuthRange | ( | float & | minAzimuth,
|  | float & | maxAzimuth,
|  | float & | fadeAngle
| ) | const

void AzimRange::setAzimuthRange | ( | float | minAzimuth,
|  | float | maxAzimuth,
|  | float | fadeAngle = `0.0f`
| ) |

## Member Data Documentation

float osgSim::AzimRange::_cosAngle `[protected]`

float osgSim::AzimRange::_cosAzim `[protected]`

float osgSim::AzimRange::_cosFadeAngle `[protected]`

float osgSim::AzimRange::_sinAzim `[protected]`

The documentation for this class was generated from the following files:

- Sector
- Sector.cpp